> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/insights/digital-shelf-intelligence

> Generate a Digital Shelf Intelligence insight



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json post /preview/retail-media/insights/digital-shelf-intelligence
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/insights/digital-shelf-intelligence:
    post:
      tags:
        - Analytics
      summary: /preview/retail-media/insights/digital-shelf-intelligence
      description: Generate a Digital Shelf Intelligence insight
      operationId: GenerateDigitalShelfIntelligenceInsight
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DigitalShelfIntelligenceInsightRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AsyncInsightResponse'
      security:
        - oauth:
            - RetailMedia_Analytics_Read
components:
  schemas:
    DigitalShelfIntelligenceInsightRequest:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/DigitalShelfIntelligenceInsightResource'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    AsyncInsightResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/InsightStatusResponseResource'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        entity.
    DigitalShelfIntelligenceInsightResource:
      required:
        - attributes
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/DigitalShelfIntelligenceInsight'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    InsightStatusResponseResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/InsightStatusResponse'
        id:
          type: string
          description: Unique id of the entity.
          nullable: true
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A domain entity exposed by the API, identified by a unique id.
      nullable: true
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    DigitalShelfIntelligenceInsight:
      required:
        - accountId
        - aggregationLevel
        - endDate
        - metrics
        - startDate
      type: object
      properties:
        accountId:
          type: string
        aggregationLevel:
          enum:
            - brand
            - sku
          type: string
        brandIds:
          type: array
          items:
            type: string
          nullable: true
        categories:
          type: array
          items:
            type: string
          nullable: true
        endDate:
          type: string
          format: date-time
        format:
          enum:
            - json
            - json-compact
            - json-newline
            - csv
          type: string
          default: json-compact
        metrics:
          minItems: 1
          type: array
          items:
            enum:
              - considerationIndex
              - listingPrice
              - pdpViewRank
              - salesIndex
              - salesRank
              - totalPdpPageViews
              - totalSalesOnline
              - totalSoldUnitsOnline
            type: string
        retailerIds:
          type: array
          items:
            type: string
          nullable: true
        skuIds:
          type: array
          items:
            $ref: '#/components/schemas/SkuFilter'
          nullable: true
        startDate:
          type: string
          format: date-time
      additionalProperties: false
      description: Description of a Digital Shelf Intelligence insight
    InsightStatusResponse:
      type: object
      properties:
        createdAt:
          type: string
          nullable: true
        expiresAt:
          type: string
          nullable: true
        fileSizeBytes:
          type: integer
          format: int64
          nullable: true
        md5CheckSum:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
        rowCount:
          type: integer
          format: int32
          nullable: true
        status:
          enum:
            - Unknown
            - Pending
            - Success
            - Failure
            - Expired
            - Invalidated
          type: string
          description: Status of an async insight request
          nullable: true
      additionalProperties: false
      description: Status of an async insight request
      nullable: true
    SkuFilter:
      required:
        - retailerId
        - retailerSkuIds
      type: object
      properties:
        retailerId:
          type: string
        retailerSkuIds:
          minItems: 1
          type: array
          items:
            type: string
      additionalProperties: false
      description: The filters to apply
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````